package com.gh.gamecenter.core.provider

import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.viewbinding.ViewBinding


interface IConcernGiftPackUtilsProvider {

    fun createBinding(parent: ViewGroup): ViewBinding

    fun initStyle(viewBinding: ViewBinding)

    fun getIvGameIcon(viewBinding: ViewBinding): View

    fun getTvGameName(viewBinding: ViewBinding): TextView

    fun getTvTime(viewBinding: ViewBinding): TextView

    fun getTvGiftPackName(viewBinding: ViewBinding): TextView

    fun getTvGiftPackContent(viewBinding: ViewBinding): TextView
}